export default {
    system: {
        complaint: {
            url: "/wxapp/user/complaint",
            showLoading: true,
        },
        uploadFile: {
            url: "/wxapp/index/one",
            showLoading: true,
        },
    },
    index: {
        banner: {
            url: "/wxapp/index/banner",
        },
        notify: {
            url: "/wxapp/index/message",
        },
    },
    user: {
        sendCode: {
            url: "/wxapp/public/send",
        },
        openId: {
            url: "/wxapp/public/getopenid",
        },
        register: {
            url: "/wxapp/public/register",
        },
        login: {
            url: "/wxapp/public/login",
        },
        info: {
            url: "/wxapp/user/getuserinfo",
            auth: true,
        },
        address: {
            list: {
                url: "/wxapp/Useraddress/getalladdress",
                showLoading: true,
            },
            edit: {
                url: "/wxapp/Useraddress/applyaddress"
            },
            detail: {
                url: "/wxapp/Useraddress/addressinfo",
                showLoading: true,
            },
            delete: {
                url: "/wxapp/Useraddress/deleteaddress"
            }
        }
    },
    service: {
        cart: {
            count: {
                url: "/wxapp/order/myshoppingcarcount",
            },
            toCart: {
                url: "/wxapp/order/addshoppingcar",
                showLoading: true,
            },
            add: {
                url: "/wxapp/order/shoppingcarpush",
            },
            sub: {
                url: "/wxapp/order/shoppingcarsend",
            },
            delete: {
                url: "/wxapp/order/deleteshoppingcar",
            },
            list: {
                url: "/wxapp/order/myshoppingcar",
                showLoading: true,
            },
        },
        insurance: {
            url: "/wxapp/index/getyiwai",
        },
        aftermarket: {
            url: "/wxapp/index/category2",
        },
        hotCate: {
            url: "/wxapp/index/hotcategory",
        },
        cate: {
            url: "/wxapp/index/category1",
        },
        list: {
            url: "/wxapp/index/getcategorybyid"
        },
        detail: {
            url: "/wxapp/index/goodsinfobyid",
            showLoading: true,
        },
        project: {
            url: "/wxapp/project/applyinfo",
            showLoading: true,
        },
        business: {
            url: "/wxapp/project/applyinfob",
            showLoading: true,
        },
        afterMarket: {
            url: "/wxapp/project/applyguarantee",
            showLoading: true,
        },
        distribution: {
            config: {
                url: "/wxapp/index/getdistributionmoney"
            },
            carType: {
                url: "/wxapp/index/getallcar"
            },
            submit: {
                url: "/wxapp/project/distribution"
            },
            pay: {
                url: "/wxapp/wxpay/payorderd"
            }
        }
    },
    order: {
        pay: {
            url: "/wxapp/wxpay/payordera",
            showLoading: true,
        },
        createOrder: {
            url: "/wxapp/order/submitordera",
        },
        list: {
            // 购买订单
            t1: {
                url: "/wxapp/order/getmyorder",
                showLoading: true,
            },
            // 报/议价订单
            t2: {
                url: "/wxapp/orderb/getmyorderblist",
                showLoading: true,
            },
            // 货运订单
            t3: {
                url: "/wxapp/project/freightorder",
                showLoading: true,
            },
            // 退款订单
            t4: {
                url: "/wxapp/order/getmyorder",
                showLoading: true,
            },
        },
        detail: {
            // 购买订单
            t1: {
                url: "/user/workerorderb/orderinfo",
                showLoading: true,
            },
            // 报/议价订单
            t2: {
                url: ""
            },
            // 货运订单
            t3: {
                url: ""
            },
            // 退款
            t4: {
                url: ""
            },
        }
    }
}
